#ifndef APP_QUEUE_UART_H_
#define APP_QUEUE_UART_H_

#include "pDebug.h"
#include "FreeRTOS.h"
#include "queue.h"

/* еݸʽ */
typedef struct _queueUartSendInfo{
    uint32_t length;    //ݳ
    uint8_t *data;      //
} queueUartSendInfo;
#define queueUartSendInfoSize sizeof(queueUartSendInfo)

/* ʱ485еݸʽ */
typedef struct _queueTimeShareSendInfo{
    uint8_t connectPort;   //͵Ķ˿
    uint32_t length;        //ݳ
    uint8_t *data;          //
} queueTimeShareSendInfo;
#define queueTimeShareSendInfoSize sizeof(queueTimeShareSendInfo)

extern QueueHandle_t J1_485_Queue;
extern QueueHandle_t J2_485_Queue;
extern QueueHandle_t J3_485_Queue;
extern QueueHandle_t J4_485_Queue;
extern QueueHandle_t J5_0_485_Queue;
extern QueueHandle_t upward_uart_Queue;
extern QueueSetHandle_t uart_Queue;

void uartQueueInit(void);
void uartQueueSend(void);
void binarySemaphoreInit(void);
void binarySemaphoreFreeMemory(void);

#endif
